Skip to main content
AI

Wan 2.6 R2V Create Video Task

Endpoint

POST /v1/video/generations

Request Body Parameters

FieldTypeRequiredTitleDescription
modelstringNoExample fieldAppears in a request example; no separate field description is provided.
promptstringNoExample fieldAppears in a request example; no separate field description is provided.
videosarrayNoExample fieldAppears in a request example; no separate field description is provided.
sizestringNoExample fieldAppears in a request example; no separate field description is provided.
durationnumberNoExample fieldAppears in a request example; no separate field description is provided.
extra_bodyobjectNoExample fieldAppears in a request example; no separate field description is provided.
imagesarrayNoExample fieldAppears in a request example; no separate field description is provided.

Request Examples

Example 1: videoreference

{
"model": "wan2.6-r2v-flash-720p-audio",
"prompt": " subject and style, generate a newcamera. ",
"videos": [
"https://example.com/reference-shot-1.mp4"
],
"size": "1280*720",
"duration": 5,
"extra_body": {
"negative_prompt": "watermark, blur, flicker",
"audio": "https://example.com/guide-audio.mp3",
"shot_type": "single",
"enable_prompt_expansion": false,
"seed": -1
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "wan2.6-r2v-flash-720p-audio",
"prompt": " subject and style, generate a newcamera. ",
"videos": ["https://example.com/reference-shot-1.mp4"],
"size": "1280*720",
"duration": 5,
"extra_body": {"negative_prompt": "watermark, blur, flicker",
"audio": "https://example.com/guide-audio.mp3",
"shot_type": "single",
"enable_prompt_expansion": false,
"seed": -1}}'

Example 2: reference

{
"model": "wan2.6-r2v-flash-1080p-silent",
"prompt": " andstyle, generate a video. ",
"images": [
"https://example.com/ref-1.png",
"https://example.com/ref-2.png"
],
"size": "1920*1080",
"duration": 10,
"extra_body": {
"negative_prompt": "watermark, blur",
"shot_type": "multi",
"enable_prompt_expansion": true,
"seed": 42
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "wan2.6-r2v-flash-1080p-silent",
"prompt": " andstyle, generate a video. ",
"images": ["https://example.com/ref-1.png",
"https://example.com/ref-2.png"],
"size": "1920*1080",
"duration": 10,
"extra_body": {"negative_prompt": "watermark, blur",
"shot_type": "multi",
"enable_prompt_expansion": true,
"seed": 42}}'

Response Fields

FieldTypeRequiredTitleDescription

Response Examples

Example 1

{}